Bug 473447 - Review Request: vim-perl-support - Perl-IDE for VIM
Review Request: vim-perl-support - Perl-IDE for VIM
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marcela Mašláňová
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-28 10:44 EST by Iain Arnell
Modified: 2008-12-06 23:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-04 12:49:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mmaslano: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2008-11-28 10:44:39 EST
Spec URL: http://iarnell.fedorapeople.org/vim-perl-support.spec
SRPM URL: http://iarnell.fedorapeople.org/vim-perl-support-3.9.1-1.fc11.src.rpm
Description: 
Perl Support implements a Perl-IDE for Vim/gVim. It is written to considerably
speed up writing code in a consistent style.  This is done by inserting
complete statements, comments, idioms, code snippets, templates, and POD
documentation.  Reading perldoc is integrated.  Syntax checking, running a
script, running perltidy,  running perlcritics, starting a debugger and a
profiler can be done with a keystroke.


note that rpmlint reports a false error:

vim-perl-support.noarch: E: non-executable-script /usr/share/vim/vimfiles/perl-support/templates/perl-file-header 0644

perl-file-header is a template for a perl script; the shebang is required, but the file should not be executable.
Comment 1 Marcela Mašláňová 2008-12-03 09:50:09 EST
OK source files match upstream
OK package meets naming and versioning guidelines.
OK specfile is properly named, is cleanly written and uses macros consistently.
OK dist tag is present.
OK build root is correct.
?  license field matches the actual license.
OK license is open source-compatible. License text not included upstream.
OK latest version is being packaged.
OK BuildRequires are proper.
OK %clean is present.
OK package builds in mock (Rawhide/x86_64).
OK debuginfo package isn't need.
OK rpmlint is silent.
OK final provides and requires look sane.
OK no shared libraries are added to the regular linker search paths.
OK owns the directories it creates.
OK no duplicates in %files.
OK file permissions are appropriate.
OK no scriptlets present.
OK code, not content.
OK documentation is small, so no -docs subpackage is necessary.
?  %docs are not necessary for the proper functioning of the package.
OK no headers.
OK no pkgconfig files.
OK no libtool .la droppings.

Shouldn't you install %{vimfiles}/doc/perlsupport.txt into %doc?

I didn't find license anywhere in the package. Where could I check it?
Comment 2 Iain Arnell 2008-12-03 10:49:41 EST
%{vimfiles}/doc/perlsupport.txt needs to be where it is so that vim can make it available as part of its online help (just as vim itself has a bunch of documentation in /usr/share/vim/vim72/doc directory).

The license is in the header of plugin/perl-support.vim file.
Comment 3 Marcela Mašláňová 2008-12-03 10:55:43 EST
Ok. The review was accepted.
Comment 4 Iain Arnell 2008-12-03 11:27:44 EST
New Package CVS Request
=======================
Package Name: vim-perl-support
Short Description: Perl-IDE for VIM
Owners: iarnell
Branches: F-9 F-10
InitialCC:
Comment 5 Kevin Fenzi 2008-12-03 19:48:57 EST
cvs done.
Comment 6 Fedora Update System 2008-12-04 12:31:42 EST
vim-perl-support-3.9.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/vim-perl-support-3.9.1-1.fc10
Comment 7 Fedora Update System 2008-12-04 12:31:45 EST
vim-perl-support-3.9.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/vim-perl-support-3.9.1-1.fc9
Comment 8 Fedora Update System 2008-12-06 23:14:01 EST
vim-perl-support-3.9.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2008-12-06 23:30:39 EST
vim-perl-support-3.9.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.